Bug 999375 - Review Request: python-lesscpy - Lesscss compiler
Review Request: python-lesscpy - Lesscss compiler
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 04:51 EDT by Matthias Runge
Modified: 2013-09-25 13:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-lesscpy-0.9j-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 21:57:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2013-08-21 04:51:42 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-lesscpy.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-lesscpy-0.9j-1.fc19.src.rpm
Description: A compiler written in python 3 for the lesscss language.  For those of us not
willing/able to have node.js installed in our environment.  Not all features
of lesscss are supported (yet).  Some features wil probably never be
supported (JavaScript evaluation).

Fedora Account System Username: mrunge
Comment 1 Christopher Meng 2013-08-21 11:05:38 EDT
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.smpKFo
+ umask 022
+ cd /builddir/build/BUILD
+ cd lesscpy-0.9j
+ /usr/bin/python lesscpy/test/__main__.py
Traceback (most recent call last):
  File "lesscpy/test/__main__.py", line 25, in <module>
    unittest.main(defaultTest='find')
  File "/usr/lib/python2.7/unittest/main.py", line 94, in __init__
    self.parseArgs(argv)
  File "/usr/lib/python2.7/unittest/main.py", line 149, in parseArgs
    self.createTests()
  File "/usr/lib/python2.7/unittest/main.py", line 158, in createTests
    self.module)
  File "/usr/lib/python2.7/unittest/loader.py", line 128, in loadTestsFromNames
    suites = [self.loadTestsFromName(name, module) for name in names]
  File "/usr/lib/python2.7/unittest/loader.py", line 113, in loadTestsFromName
    test = obj()
  File "lesscpy/test/__main__.py", line 20, in find
    module = __import__(f.split('.')[0])
  File "/builddir/build/BUILD/lesscpy-0.9j/lesscpy/test/testless.py", line 9, in <module>
    from lesscpy.lessc import parser
  File "/builddir/build/BUILD/lesscpy-0.9j/lesscpy/lessc/parser.py", line 19, in <module>
    import ply.yacc
ImportError: No module named ply.yacc
error: Bad exit status from /var/tmp/rpm-tmp.smpKFo (%check)
Comment 3 Björn "besser82" Esser 2013-08-21 14:10:07 EDT
LGTM :)  Just one question about %check, no real issues.

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-lesscpy

     ---> false postive, whole pkg is noarch

[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 33 files have unknown license. Detailed output of
     licensecheck in /home/besser82/shared/fedora/review/999375-python-
     lesscpy/licensecheck.txt

     ---> License tag is fine.

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.

     ---> No blocker here, but:
          Why don't you run the test with Python3 as well?
          Don't forget to add BuildRequires:   python3-ply

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-lesscpy-0.9j-2.fc20.noarch.rpm
          python3-lesscpy-0.9j-2.fc20.noarch.rpm
python-lesscpy.noarch: W: spelling-error Summary(en_US) Lesscss -> Lessees, Scaleless, Lessee
python-lesscpy.noarch: W: spelling-error %description -l en_US lesscss -> lessees, scaleless, lessee
python-lesscpy.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
python-lesscpy.noarch: W: spelling-error %description -l en_US wil -> wile, wail, wilt
python-lesscpy.noarch: W: no-manual-page-for-binary lesscpy
python3-lesscpy.noarch: W: spelling-error Summary(en_US) Lesscss -> Lessees, Scaleless, Lessee
python3-lesscpy.noarch: W: spelling-error %description -l en_US lesscss -> lessees, scaleless, lessee
python3-lesscpy.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
python3-lesscpy.noarch: W: spelling-error %description -l en_US wil -> wile, wail, wilt
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-lesscpy python3-lesscpy
python-lesscpy.noarch: W: spelling-error Summary(en_US) Lesscss -> Lessees, Scaleless, Lessee
python-lesscpy.noarch: W: spelling-error %description -l en_US lesscss -> lessees, scaleless, lessee
python-lesscpy.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
python-lesscpy.noarch: W: spelling-error %description -l en_US wil -> wile, wail, wilt
python-lesscpy.noarch: W: no-manual-page-for-binary lesscpy
python3-lesscpy.noarch: W: spelling-error Summary(en_US) Lesscss -> Lessees, Scaleless, Lessee
python3-lesscpy.noarch: W: spelling-error %description -l en_US lesscss -> lessees, scaleless, lessee
python3-lesscpy.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
python3-lesscpy.noarch: W: spelling-error %description -l en_US wil -> wile, wail, wilt
2 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'

---> false positives :)


Requires
--------
python-lesscpy (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python-ply

python3-lesscpy (rpmlib, GLIBC filtered):
    python(abi)
    python3-ply

---> seem sane to me :)


Provides
--------
python-lesscpy:
    python-lesscpy

python3-lesscpy:
    python3-lesscpy



Source checksums
----------------
https://pypi.python.org/packages/source/l/lesscpy/lesscpy-0.9j.tar.gz :
  CHECKSUM(SHA256) this package     : fa01d435a1ab3abafba683519bdc7aca5e19399e96225e1a8bc1d660b566364d
  CHECKSUM(SHA256) upstream package : fa01d435a1ab3abafba683519bdc7aca5e19399e96225e1a8bc1d660b566364d


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 999375

#####

APPROVED!!!
Comment 4 Matthias Runge 2013-08-21 14:36:26 EDT
Awesome, thanks!

Will add/run checks for py3 as well.


New Package SCM Request
=======================
Package Name: python-lesscpy
Short Description: Lesscss compiler
Owners: mrunge
Branches: f19 f20 el6
Comment 5 Björn "besser82" Esser 2013-08-21 15:25:52 EDT
(In reply to Matthias Runge from comment #4)
> Awesome, thanks!

np. You're welcome :)
 
> Will add/run checks for py3 as well.

Sounds good.


Just found one spelling error in %description.  You can use 's/ wil / will /g' to fix this easily.
Comment 6 Gwyn Ciesla 2013-08-22 08:34:15 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-08-23 03:31:27 EDT
python-lesscpy-0.9j-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-lesscpy-0.9j-2.fc19
Comment 8 Fedora Update System 2013-08-23 19:56:15 EDT
python-lesscpy-0.9j-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-09-02 02:49:14 EDT
python-lesscpy-0.9j-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-lesscpy-0.9j-3.fc19
Comment 10 Fedora Update System 2013-09-09 15:10:34 EDT
python-lesscpy-0.9j-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-lesscpy-0.9j-3.el6
Comment 11 Fedora Update System 2013-09-10 21:57:55 EDT
python-lesscpy-0.9j-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-09-25 13:17:32 EDT
python-lesscpy-0.9j-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.